---
updatedAt: 2026-06-02T20:48:49.000Z
agentTools:
  projectIndex: https://docs.zype.com/llms.txt
---

# Create Operation

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Playout Scheduler",
    "description": "",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.zype.com/"
    }
  ],
  "security": [
    {
      "api_key": []
    }
  ],
  "paths": {
    "/scheduler/v1/types": {
      "get": {
        "summary": "List Destination Types",
        "description": "",
        "operationId": "getDestinationTypes",
        "tags": [
          "Destinations"
        ],
        "parameters": [
          {
            "name": "page",
            "in": "query",
            "required": false,
            "schema": {
              "type": "integer"
            },
            "description": "Page number to return, with per_page dictating page size"
          },
          {
            "name": "per_page",
            "in": "query",
            "required": false,
            "schema": {
              "type": "integer"
            },
            "description": "Number of records to return per page"
          }
        ],
        "responses": {
          "200": {
            "description": "Destination Types response",
            "content": {
              "application/json": {
                "schema": {
                  "title": "DestinationTypesResponse",
                  "type": "object",
                  "properties": {
                    "destinationTypes": {
                      "type": "array",
                      "items": {
                        "$ref": "#/paths/~1scheduler~1v1~1types~1{id}/get/responses/200/content/application~1json/schema/properties/destinationType"
                      },
                      "description": ""
                    },
                    "pagination": {
                      "title": "PlayoutSchedulerPagination",
                      "type": "object",
                      "properties": {
                        "perPage": {
                          "type": "number",
                          "format": "int32",
                          "description": "the number of results returned per page"
                        },
                        "page": {
                          "type": "number",
                          "format": "int32",
                          "description": "The current page of results"
                        },
                        "totalPages": {
                          "type": "number",
                          "format": "int32",
                          "description": "the total number of pages available, using per_page"
                        },
                        "count": {
                          "type": "number",
                          "format": "int32",
                          "description": "the quantity of results on the current page"
                        }
                      },
                      "example": {
                        "perPage": 100,
                        "page": 1,
                        "totalPages": 3,
                        "count": 100
                      }
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable entity",
            "content": {
              "application/json": {
                "schema": {
                  "title": "Unprocessable Entity",
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/scheduler/v1/channels/{id}/draft/items/{itemId}/graphics": {
      "get": {
        "summary": "View track item's automated graphics",
        "description": "Returns automated graphics associated with the given track item id",
        "tags": [
          "Draft Versions"
        ],
        "operationId": "getPlayoutSchedulerTrackItemGraphics",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "ID of channel"
          },
          {
            "name": "itemId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "ID of track item"
          }
        ],
        "responses": {
          "200": {
            "description": "Return the list of automated graphics overlaying the given track item",
            "content": {
              "application/json": {
                "schema": {
                  "title": "TrackItemGraphicsResponse",
                  "type": "object",
                  "properties": {
                    "graphics": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "title": "TrackItem",
                        "properties": {
                          "id": {
                            "type": "string"
                          },
                          "assetType": {
                            "type": "string"
                          },
                          "assetId": {
                            "type": "string"
                          },
                          "assetDuration": {
                            "type": "number"
                          },
                          "startsAt": {
                            "type": "number",
                            "description": "Timestamp in milliseconds"
                          },
                          "endsAt": {
                            "type": "number",
                            "description": "Timestamp in milliseconds"
                          },
                          "durationInSeconds": {
                            "type": "number"
                          },
                          "beginAtSecond": {
                            "type": "number"
                          },
                          "truncateAtSecond": {
                            "type": "number"
                          },
                          "title": {
                            "type": "string"
                          },
                          "description": {
                            "type": "string"
                          },
                          "isInfinite": {
                            "type": "boolean"
                          },
                          "isRecurring": {
                            "type": "boolean"
                          },
                          "recurrenceSettings": {
                            "type": "object",
                            "properties": {
                              "gapMs": {
                                "type": "number",
                                "description": "Number of milliseconds between repetitions"
                              },
                              "times": {
                                "type": "number"
                              },
                              "infinitely": {
                                "type": "boolean"
                              },
                              "until": {
                                "type": "number",
                                "description": "Timestamp in milliseconds"
                              }
                            }
                          },
                          "graphic": {
                            "$ref": "#/paths/~1scheduler~1v2~1assets~1graphics/post/responses/201/content/application~1json/schema/properties/destinationType"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Channel not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1scheduler~1v2~1uploads/post/responses/404/content/application~1json/schema"
                }
              }
            }
          }
        }
      }
    },
    "/scheduler/v1/channels/{id}/draft/operations": {
      "post": {
        "summary": "Create Operation",
        "description": "",
        "operationId": "createPlayoutSchedulerOperation",
        "tags": [
          "Timeline Operations"
        ],
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "ID of Channel"
          }
        ],
        "x-codegen-request-body-name": "operation",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "title": "trackItemOperationRequest",
                "properties": {
                  "operation": {
                    "type": "object",
                    "title": "TrackItemOperationProperties",
                    "required": [
                      "type",
                      "trackName",
                      "author"
                    ],
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "pushTrackItem",
                          "updateTrackItem",
                          "removeTrackItem",
                          "groupItems",
                          "ungroupItem"
                        ]
                      },
                      "trackName": {
                        "type": "string",
                        "enum": [
                          "baseTrack",
                          "priorityTrack"
                        ]
                      },
                      "author": {
                        "type": "object",
                        "description": "User information for audit purposes",
                        "required": [
                          "userId",
                          "email",
                          "name"
                        ],
                        "properties": {
                          "userId": {
                            "type": "string",
                            "description": "User id of the user performing the operation"
                          },
                          "email": {
                            "type": "string",
                            "description": "Email of the user performing the operation"
                          },
                          "name": {
                            "type": "string",
                            "description": "Name of the user performing the operation"
                          }
                        }
                      },
                      "name": {
                        "type": "string",
                        "description": "Name of the operation (only for audit purposes)"
                      },
                      "values": {
                        "type": "object",
                        "properties": {
                          "trackItem": {
                            "description": "Only for Push and Update operations",
                            "$ref": "#/paths/~1scheduler~1v1~1channels~1{id}~1draft~1items~1{itemId}~1graphics/get/responses/200/content/application~1json/schema/properties/graphics/items"
                          },
                          "trackItemIds": {
                            "type": "array",
                            "description": "IDs of the track items to be grouped into a block (Only for Group operation)",
                            "items": {
                              "type": "string"
                            }
                          },
                          "trackItemId": {
                            "type": "string",
                            "description": "The ID of the track item to be removed or ungrouped (Only for Remove and Ungroup operations)"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "title": "OperationResponse",
                  "type": "object",
                  "properties": {
                    "operation": {
                      "type": "object",
                      "title": "Operation",
                      "properties": {
                        "id": {
                          "type": "string"
                        },
                        "type": {
                          "type": "string"
                        },
                        "parameters": {
                          "type": "object"
                        },
                        "previousScheduleSet": {
                          "$ref": "#/paths/~1scheduler~1v1~1channels~1{id}~1draft~1operations/post/responses/201/content/application~1json/schema/properties/operation/properties/newScheduleSet"
                        },
                        "newScheduleSet": {
                          "type": "object",
                          "title": "Schedule Set",
                          "properties": {
                            "baseTrack": {
                              "type": "object",
                              "properties": {
                                "items": {
                                  "type": "array",
                                  "items": {
                                    "$ref": "#/paths/~1scheduler~1v1~1channels~1{id}~1draft~1items~1{itemId}~1graphics/get/responses/200/content/application~1json/schema/properties/graphics/items"
                                  }
                                }
                              }
                            },
                            "priorityTrack": {
                              "type": "object",
                              "properties": {
                                "items": {
                                  "type": "array",
                                  "items": {
                                    "$ref": "#/paths/~1scheduler~1v1~1channels~1{id}~1draft~1items~1{itemId}~1graphics/get/responses/200/content/application~1json/schema/properties/graphics/items"
                                  }
                                }
                              }
                            }
                          }
                        },
                        "created_at": {
                          "type": "string"
                        },
                        "updated_at": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable entity",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1scheduler~1v1~1types/get/responses/422/content/application~1json/schema"
                }
              }
            }
          }
        }
      }
    },
    "/scheduler/v2/assets/graphics": {
      "post": {
        "summary": "Create Graphic",
        "description": "Add a new graphic to your library",
        "operationId": "createGraphic",
        "tags": [
          "Assets"
        ],
        "x-codegen-request-body-name": "graphic",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "title": "GraphicRequest",
                "type": "object",
                "required": [
                  "graphic"
                ],
                "properties": {
                  "graphic": {
                    "type": "object",
                    "title": "GraphicProperties",
                    "required": [
                      "title"
                    ],
                    "properties": {
                      "title": {
                        "type": "string"
                      },
                      "duration": {
                        "type": "number",
                        "default": 60,
                        "description": "Duration of the graphic in seconds (including fade in and fade out)"
                      },
                      "fadeIn": {
                        "type": "number",
                        "default": 0,
                        "description": "Duration of the fade in effect, in seconds"
                      },
                      "fadeOn": {
                        "type": "number",
                        "default": 0,
                        "description": "Duration of the fade out effect, in seconds"
                      },
                      "opacity": {
                        "type": "number",
                        "default": 100,
                        "description": "Opacity of image where 0 is transparent and 100 is fully opaque. Default is 100."
                      },
                      "staticOverlay": {
                        "type": "object",
                        "description": "Image overlay placement settings",
                        "required": [
                          "uploadId"
                        ],
                        "properties": {
                          "uploadId": {
                            "description": "Upload id so use as the image overlay",
                            "type": "string"
                          },
                          "yPosition": {
                            "description": "Y-axis position of the upload in the stream. 0 is the min value, in px",
                            "type": "number",
                            "default": 5
                          },
                          "xPosition": {
                            "description": "X-axis position of the upload in the stream. 0 is the min value, in px",
                            "type": "number",
                            "default": 5
                          },
                          "scale": {
                            "description": "Allows to scale down the image. Between 0 and 100",
                            "default": 100,
                            "type": "number"
                          }
                        }
                      },
                      "textOverlay": {
                        "type": "object",
                        "description": "Text overlay placement settings",
                        "required": [
                          "text"
                        ],
                        "properties": {
                          "text": {
                            "description": "Text to display. To include dynamic params, wrap the param name in {{}} and add it to the dynamicParams list",
                            "type": "string"
                          },
                          "fontSize": {
                            "description": "Font size of the text",
                            "type": "number",
                            "default": 12
                          },
                          "color": {
                            "description": "3-(RGB), 4-(ARGB), 6-(RRGGBB) or 8-digit (AARRGGBB) hexadecimal values. The \"A\" in a 4- or 8-digit hex value represents the color's alpha transparency.",
                            "type": "number",
                            "default": 5
                          },
                          "font": {
                            "description": "Text font",
                            "default": "Arial Narrow",
                            "type": "string"
                          },
                          "yPosition": {
                            "description": "Y-axis position of the text in the stream. 0 is the min value, in px",
                            "type": "number",
                            "default": 0
                          },
                          "xPosition": {
                            "description": "X-axis position of the text in the stream. 0 is the min value, in px",
                            "type": "number",
                            "default": 0
                          },
                          "width": {
                            "description": "Width of the text area",
                            "type": "number"
                          },
                          "leading": {
                            "description": "Controls the leading (or line spacing) in the text",
                            "type": "number"
                          },
                          "tracking": {
                            "description": "Controls the tracking (or letter spacing) in the text",
                            "type": "number"
                          },
                          "dynamicParams": {
                            "description": "A list of the dynamic replacements included in the text",
                            "type": "array",
                            "items": {
                              "type": "object",
                              "required": [
                                "name",
                                "sources",
                                "field"
                              ],
                              "properties": {
                                "name": {
                                  "description": "Name of the param within {{}} in the text",
                                  "type": "string"
                                },
                                "order": {
                                  "description": "Item order to use as data source (previous, current, next)",
                                  "type": "string",
                                  "enum": [
                                    "previous",
                                    "current",
                                    "next"
                                  ]
                                },
                                "sources": {
                                  "description": "A list of possible data sources, where the data will be picked in the following order: channel > block > playlist > video",
                                  "type": "array",
                                  "enum": [
                                    "channel",
                                    "block",
                                    "playlist",
                                    "video"
                                  ]
                                },
                                "field": {
                                  "description": "The field name of the source. Could be a predefined custom attribute, title or description"
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "title": "GraphicResponse",
                  "type": "object",
                  "properties": {
                    "destinationType": {
                      "title": "GraphicAsset",
                      "type": "object",
                      "required": [
                        "graphic"
                      ],
                      "properties": {
                        "asset": {
                          "type": "object",
                          "title": "GraphicProperties",
                          "properties": {
                            "id": {
                              "type": "string"
                            },
                            "title": {
                              "type": "string"
                            },
                            "duration": {
                              "type": "number",
                              "description": "Duration of the graphic in seconds (including fade in and fade out)"
                            },
                            "fadeIn": {
                              "type": "number",
                              "description": "Duration of the fade in effect, in seconds"
                            },
                            "fadeOn": {
                              "type": "number",
                              "description": "Duration of the fade out effect, in seconds"
                            },
                            "opacity": {
                              "type": "number",
                              "description": "Opacity of image where 0 is transparent and 100 is fully opaque. Default is 100."
                            },
                            "staticOverlay": {
                              "$ref": "#/paths/~1scheduler~1v2~1assets~1graphics/post/requestBody/content/application~1json/schema/properties/graphic/properties/staticOverlay"
                            },
                            "textOverlay": {
                              "$ref": "#/paths/~1scheduler~1v2~1assets~1graphics/post/requestBody/content/application~1json/schema/properties/graphic/properties/textOverlay"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable entity",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1scheduler~1v1~1types/get/responses/422/content/application~1json/schema"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "X-API-Key",
        "in": "header"
      }
    }
  }
}
```